dbXML API

## com.dbxml.db.enterprise.jsp
Class QueryTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.dbxml.db.enterprise.jsp.QueryTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class QueryTag
extends javax.servlet.jsp.tagext.BodyTagSupport

QueryTag queries the specified Collection or Document key and either assigns the result to a ResultSetClient or streams it to the JspWriter.
Example:

       <dbxml:query name="myQuery" collection="myCol" style="XPath">
          /newDoc
       </dbxml:query>

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`QueryTag()`

Method Summary
`int` `doEndTag()`
`java.lang.String` `getCollection()`
`java.lang.String` `getKey()`
`java.lang.String` `getName()`
`java.lang.String` `getStyle()`
`boolean` `isHtml()`
`void` `setCollection(java.lang.String collection)`
`void` `setHtml(boolean html)`
`void` `setKey(java.lang.String key)`
`void` `setName(java.lang.String name)`
`void` `setStyle(java.lang.String style)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### QueryTag

    public QueryTag()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getCollection

    public java.lang.String getCollection()

### setCollection

    public void setCollection(java.lang.String collection)

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String key)

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String style)

### isHtml

    public boolean isHtml()

### setHtml

    public void setHtml(boolean html)

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

dbXML API

Copyright (c) 2004 The dbXML Group